Bug 799272 - Stopping a stopped deployment says : "You must select one or more applications. "
Stopping a stopped deployment says : "You must select one or more application...
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Tomas Hrcka
pushpesh sharma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 05:48 EST by Shveta
Modified: 2014-08-04 18:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 13:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stop_instance (247.61 KB, image/png)
2012-03-02 05:48 EST, Shveta
no flags Details
duplicate names (227.46 KB, image/png)
2012-03-05 09:31 EST, Shveta
no flags Details
stopping stopped instance verified (133.78 KB, image/png)
2012-04-17 05:48 EDT, pushpesh sharma
no flags Details
name already taken verified (150.43 KB, image/png)
2012-04-17 05:49 EDT, pushpesh sharma
no flags Details

  None (edit)
Description Shveta 2012-03-02 05:48:18 EST
Created attachment 567032 [details]
stop_instance

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Launched few applications, some of them show stopped status
2. stop action on "Stopped" application says , "You must select one or more applications. "
3.
  
Actual results:


Expected results:


Additional info:
rpm -qa|grep aeolus
aeolus-conductor-doc-0.8.0-39.el6.noarch
rubygem-aeolus-cli-0.3.0-12.el6.noarch
aeolus-all-0.8.0-39.el6.noarch
aeolus-conductor-0.8.0-39.el6.noarch
rubygem-aeolus-image-0.3.0-11.el6.noarch
aeolus-configure-2.5.0-16.el6.noarch
aeolus-conductor-daemons-0.8.0-39.el6.noarch
Comment 1 Angus Thomas 2012-03-05 06:26:56 EST
It shouldn't be possible to trigger the stop action by clicking on a stopped application.
Comment 2 Tomas Hrcka 2012-03-05 08:50:48 EST
I am not able to replicate this bug. From which view you have invoked the stop action? If from table view did you select any application?
Comment 3 Shveta 2012-03-05 09:30:45 EST
Noticed it now , Actual bug is this :

1) Try to launch an instance whose name is already taken.
2) It shows validation while launching "Name already taken"
3) But at the same time a stopped instance gets listed in the monitor page 

In the attached screenshot, observe more than one instance with name RHEL6-2-configserver-ec2. 

Stop action on such instances shows message "you must select one or more instances"
Comment 4 Shveta 2012-03-05 09:31:14 EST
Created attachment 567646 [details]
duplicate names
Comment 5 Tomas Hrcka 2012-03-15 09:08:57 EDT
I am not able to replicate this bug anymore. Set to modified.
Comment 6 wes hayutin 2012-04-13 14:20:00 EDT
need QE to try and reproduce.
Comment 7 pushpesh sharma 2012-04-17 05:45:39 EDT
Behaviour described in the steps to reproduce as well as in comment#3 is not observed in the latest build.so marking this as verified as it is not reproducible in the latest build. PFA for the screen shots
Comment 8 pushpesh sharma 2012-04-17 05:46:17 EDT
[root@dhcp201-169 ~]# rpm -qa|grep aeolus
aeolus-configure-2.5.2-1.el6.noarch
aeolus-conductor-0.8.7-1.el6.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
aeolus-conductor-doc-0.8.7-1.el6.noarch
aeolus-all-0.8.7-1.el6.noarch
aeolus-conductor-daemons-0.8.7-1.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
Comment 9 pushpesh sharma 2012-04-17 05:48:49 EDT
Created attachment 577970 [details]
stopping stopped instance verified
Comment 10 pushpesh sharma 2012-04-17 05:49:33 EDT
Created attachment 577971 [details]
name already taken verified

Note You need to log in before you can comment on or make changes to this bug.